/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2013 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/applicantadditionalqualification.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/applicantadditionalqualification.xml',
'<View title="Applicant additional qualification" defaultFormHandler="xxas_applicant_pkg.save_application_form">

  <CreateFields>
    <TextInput id="PQ_CATEGORY_MEANING" label="Category"/>
    <TextInput id="QUALIFICATION_NAME" label="Type"/>
    <TextInput id="TITLE" label="Qualification"/>
    <TextInput id="GRADE_ATTAINED" label="Grade/Level"/>
    <Date id="AWARDED_DATE" label="Date Received"/>
    <TextInput id="TUITION_METHOD" label="How Received"/>		
  </CreateFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/applicantadditionalqualification.xml');
END;
/
COMMIT;
EXIT;
